View Issue Details

IDProjectCategoryView StatusLast Update
0020820LazarusDatabasepublic2012-03-17 09:41
ReporterRobson DantasAssigned ToJesus Reyes 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platformi386OSUbuntuOS Version10.10
Product Version0.9.31 (SVN)Product Build33971 
Target VersionFixed in Version0.9.31 (SVN) 
Summary0020820: dbnavigator.VisibleButtons (not remove button on the form)
DescriptionIn the ObjectInspector:

 VisibleButtons = [nbFirst,nbPrior,nbNext,nbLast,nbRefresh]

All buttons are visible at design time.
It is impossible to arrange the components on the screen.

It should show only the buttons chosen at design time
Steps To ReproducePut DBNavigator in a the form and indicate the buttons in Object Inspetor to be displayed, the component remains with all the buttons.
TagsNo tags attached.
Fixed in Revision36102
LazTarget0.99.0
WidgetsetGTK 2, Win32/Win64, Carbon
Attached Files

Relationships

has duplicate 0021223 resolvedMaxim Ganetsky Lazarus DBNavigator always show alll buttons on DesignTime despite the VisibleButtons property, in RunTime works fine. 
has duplicate 0017282 closedMaxim Ganetsky Lazarus DBNavigator show all Buttons in Designtime 
has duplicate 0021305 resolvedJesus Reyes Lazarus The DBNavigator is not running at design time 
has duplicate 0024000 resolvedJesus Reyes FPC The DBNavigator is not running at design time 

Activities

2011-12-05 16:20

 

allbuttonsvisible.png (32,853 bytes)
allbuttonsvisible.png (32,853 bytes)

Robson Dantas

2012-01-31 18:36

reporter   ~0056198

In the ObjectInspector:

 VisibleButtons = [nbFirst,nbLast]

All buttons are visible at design time.
It is impossible to arrange the components on the screen.

ought show only the buttons chosen at design time.

Issue History

Date Modified Username Field Change
2011-12-05 16:15 Robson Dantas New Issue
2011-12-05 16:15 Robson Dantas Widgetset => GTK 2
2011-12-05 16:20 Robson Dantas File Added: allbuttonsvisible.png
2012-01-31 18:36 Robson Dantas Note Added: 0056198
2012-02-05 03:07 Maxim Ganetsky Relationship added has duplicate 0021223
2012-02-05 03:10 Maxim Ganetsky Relationship added has duplicate 0017282
2012-02-05 13:34 Maxim Ganetsky LazTarget => -
2012-02-05 13:34 Maxim Ganetsky Status new => acknowledged
2012-02-05 16:59 Maxim Ganetsky Widgetset GTK 2 => GTK 2, Win32/Win64, Carbon
2012-03-17 09:37 Jesus Reyes Status acknowledged => assigned
2012-03-17 09:37 Jesus Reyes Assigned To => Jesus Reyes
2012-03-17 09:38 Jesus Reyes Relationship added has duplicate 0021305
2012-03-17 09:40 Jesus Reyes Fixed in Revision => 36102
2012-03-17 09:40 Jesus Reyes LazTarget - => 0.99.0
2012-03-17 09:40 Jesus Reyes Status assigned => resolved
2012-03-17 09:40 Jesus Reyes Fixed in Version => 0.9.31 (SVN)
2012-03-17 09:40 Jesus Reyes Resolution open => fixed
2012-03-17 09:41 Jesus Reyes Target Version => 0.99.0